#
# spec file for package perl-Set-Crontab (Version 1.00)
# 
# Copyright  (c)  2001  SuSE GmbH  Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
# 
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  perl
# usedforbuild    aaa_base aaa_dir autoconf automake base bash bindutil binutils bison bzip compress cpio cpp cracklib cyrus-sasl db devs diffutils e2fsprogs file fileutils findutils flex gawk gcc gdbm gdbm-devel gettext glibc glibc-devel gpm gppshare grep groff gzip kbd less libtool libz m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg pam pam-devel patch perl ps rcs readline rpm sendmail sh-utils shadow strace syslogd sysvinit texinfo textutils timezone unzip util-linux vim

Name:         perl-Set-Crontab
Copyright:    Artistic License
Group:        Development/Libraries/Perl
Autoreqprov:  on
Version:      1.00
Release:      33
Source0:      http://cpan.org/modules/by-module/Set/Set-Crontab-%{version}.tar.bz2
BuildRoot:    %{_tmppath}/%{name}-root
Summary:      Expand crontab(5)-style integer lists

%description
Set::Crontab parses crontab-style lists of integers and defines
some utility functions to make it easier to deal with them.

Authors:
--------
    Abhijit Menon-Sen <ams@wiw.org>

SuSE series: perl

%prep
%setup -n Set-Crontab-%{version}
# replace rest of /usr/local/bin/perl with /usr/bin/perl
for f in `find . -type f -exec grep -l /usr/local/bin/perl \{\} \;` ; do
    rm -f tmp
    sed -e "s:^#!.*/usr/local/bin/perl:#!/usr/bin/perl:g" $f > tmp
    mv -f tmp $f
done

%build
perl Makefile.PL
make
make test

%install
install -d $RPM_BUILD_ROOT/%{perl_archlib}
make PREFIX=$RPM_BUILD_ROOT%{_prefix} \
    INSTALLMAN1DIR=$RPM_BUILD_ROOT%{_mandir}/man1 \
    INSTALLMAN3DIR=$RPM_BUILD_ROOT%{_mandir}/man3 \
    install
install -d $RPM_BUILD_ROOT/var/adm/perl-modules
cat $RPM_BUILD_ROOT%{perl_archlib}/perllocal.pod | sed "s@$RPM_BUILD_ROOT@@g" > $RPM_BUILD_ROOT/var/adm/perl-modules/%{name}
cd $RPM_BUILD_ROOT%{perl_sitearch}/auto/Set/Crontab
cat .packlist | sed "s@$RPM_BUILD_ROOT@@g" | sort -u > .packlist

%clean
[ "$RPM_BUILD_ROOT" != "/" ] && [ -d $RPM_BUILD_ROOT ] && rm -rf $RPM_BUILD_ROOT

%files
%defattr(-, root, root)
%doc Changes MANIFEST README
%doc %{_mandir}/man3/*
%{perl_sitearch}/../Set/Crontab.pm
%{perl_sitearch}/auto/Set/Crontab
/var/adm/perl-modules/%{name}

%changelog -n perl-Set-Crontab
* Fri Aug 03 2001 - rvasice@suse.cz
- initial package release (version 1.00)
